Page MenuHomePhabricator

[compiler-rt][cmake][mips] Correct the option handling for GCC 7
AbandonedPublic

Authored by atanasyan on May 8 2018, 5:02 AM.

Details

Summary

GCC 7 rejects the usage of --target=mipsel-linux-gnu, which earlier versions
accepted but warned on. Instead, detect the compiler being used and supply
--target=mipsel-linux-gnu for Clang only.

Additionally, -mips32r2 requires -mabi=32 for versions of GCC which target
mips64 by default.

This resolves PR37002.

Thanks to James Cowgill for reporting the issue!

Event Timeline

sdardis created this revision.May 8 2018, 5:02 AM
Herald added subscribers: Restricted Project, delcypher, arichardson and 2 others. · View Herald TranscriptMay 8 2018, 5:02 AM
atanasyan commandeered this revision.Jul 4 2018, 7:27 AM
atanasyan added a reviewer: sdardis.

Ping?

atanasyan abandoned this revision.Sep 28 2018, 6:16 AM

Initial problem has been fixed by rL343182.